Skip to main content
POST
/
api
/
v1
/
transfer
/
webhook
Send transfer webhook (dev)
curl --request POST \
  --url https://payments.oaknetwork.org/api/v1/transfer/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>"
}
'
{
  "msg": "webhook sent successfully",
  "data": null
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Body

application/json
transfer_id
string<uuid>
required

Transfer transaction UUID

status
string
required

Status to set

Response

Webhook sent

msg
string
required

Human-readable message describing the result

Example:

"webhook sent successfully"

data
null
required

Response payload (null on error)